loci.formats.in

## Class ZeissLSMReader.Recording

- java.lang.Object
- - loci.formats.in.ZeissLSMReader.SubBlock
  - - loci.formats.in.ZeissLSMReader.Recording

- Enclosing class:
    ZeissLSMReader

      class ZeissLSMReader.Recording
      extends ZeissLSMReader.SubBlock

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `binning`
    `java.lang.String` | `correction`
    `java.lang.String` | `description`
    `java.lang.String` | `immersion`
    `java.lang.Boolean` | `iris`
    `java.lang.Double` | `lensNA`
    `java.lang.Double` | `magnification`
    `java.lang.String` | `name`
    `java.lang.String` | `startTime`

    - ### Fields inherited from class loci.formats.in.ZeissLSMReader.SubBlock

      `acquire, blockData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Recording()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `read()`

    - ### Methods inherited from class loci.formats.in.ZeissLSMReader.SubBlock

      `addToHashtable, getDoubleValue, getFloatValue, getIntValue, getStringValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          public java.lang.String description

    - #### name

          public java.lang.String name

    - #### binning

          public java.lang.String binning

    - #### startTime

          public java.lang.String startTime

    - #### correction

          public java.lang.String correction

    - #### immersion

          public java.lang.String immersion

    - #### magnification

          public java.lang.Double magnification

    - #### lensNA

          public java.lang.Double lensNA

    - #### iris

          public java.lang.Boolean iris

  - ### Constructor Detail

    - #### Recording

          Recording()

  - ### Method Detail

    - #### read

          protected void read()
                       throws java.io.IOException

      Overrides:
        `read` in class `ZeissLSMReader.SubBlock`
      Throws:
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment